# JsDoc Reference - Ciform.ciphers.SHA1Encoder

Class Index | File Index

## Classes

- _global_
- Ciform
- Ciform.Cipher
- Ciform.ciphers
- Ciform.ciphers.ChainEncoder
- Ciform.ciphers.CiformPacketizer
- Ciform.ciphers.Encoder
- Ciform.ciphers.RSAEncoder
- Ciform.ciphers.RSAPublicKey
- Ciform.ciphers.SHA1Encoder
- Ciform.Field
- Ciform.protocol

# Class Ciform.ciphers.SHA1Encoder

Encodes a text into its sha1 sum.
Defined in: ciform.js.

Class Summary
Constructor Attributes | Constructor Name and Description
--- | ---
| Ciform.ciphers.SHA1Encoder(options)

Field Summary
Field Attributes | Field Name and Description
--- | ---
| preamble If true, meta-data will be prepended to the result of encryption.

Method Summary
Method Attributes | Method Name and Description
--- | ---
| encode(message)

Class Detail
Ciform.ciphers.SHA1Encoder(options)

Parameters:
{Object} options
  overrides the fields of this object.

Field Detail
{boolean} preamble
If true, meta-data will be prepended to the result of encryption.

DEFAULT : false

Method Detail
encode(message)

Parameters:
message

Returns:
  the sha-1 of the message, base64 encoded, with meta-data about the encoding if #preamble is true

See:
  Ciform.ciphers.Encoder#encode

Documentation generated by JsDoc Toolkit 2.4.0 on Mon Feb 06 2012 00:12:49 GMT+0100 (CET)